GET /neo/rest/v1/feed
Summary: Near Earth Object Feed
Operation ID: getNEOFeed
Auth: api_key
Operation ID: getNEOFeed
Auth: api_key
Description
Retrieve a list of Asteroids based on their closest approach date to Earth within a date range.
Parameters (4)
api_key
(string, query, required)
NASA API key (use 'DEMO_KEY' for testing)
detailed
(boolean, query, optional, default: False)
Include full orbital data
end_date
(string, query, required)
End date (YYYY-MM-DD, max 7 days from start)
start_date
(string, query, required)
Start date (YYYY-MM-DD)
Examples (3)
| Title | Type | URL | Action |
|---|---|---|---|
| Basic NEO feed for a week | curl |
https://api.nasa.gov/neo/rest/v1/feed?start_date=2024-01-01&end_date=2024-01-07&api_key=DEMO_KEY |
|
| Detailed NEO feed with orbital data | curl |
https://api.nasa.gov/neo/rest/v1/feed?start_date=2024-06-15&end_date=2024-06-17&detailed=true&api_key=DEMO_KEY |
|
| Short range NEO feed (3 days) | curl |
https://api.nasa.gov/neo/rest/v1/feed?start_date=2024-12-01&end_date=2024-12-03&api_key=DEMO_KEY |
Probe History
Status Codes
| Time | Status | Latency | Size |
|---|---|---|---|
| 2026-03-23 10:44:07.640250 | 429 | 770ms | |
| 2026-03-23 10:36:57.962677 | 429 | 797ms | |
| 2026-03-23 10:27:27.799863 | 200 | 3580ms |
Response Changes
| When | Old | New |
|---|---|---|
| 2026-03-23 10:36:57.962677 | bcf0f8b3fc98 |
31a8ace957e5 |